Skip to Content
Image ModelsNano Banana 2 Lite

Nano Banana 2 Lite

Overview

Nano Banana 2 Lite, aka Gemini 3.1 Flash-Lite Image, is a newly released image model from Google DeepMind built for fast 1K image generation, efficient creative iteration, prompt-based image editing, and responsive visual output in product-facing creative scenarios.

Test API KEY: key_00000000000000000000000000000000

Endpoints

1. Create Task

Request

POST https://api.pixwithapi.online/api/task/create

Headers

HeaderValueRequired
Content-Typeapplication/jsonYes
Api-Key{API_KEY}Yes

Request Parameters

ParameterTypeRequiredDescription
promptstringYesThe input prompt (e.g., “a futuristic city”)
image_urlsarrayConditionalProvide 1-8 images when using image-to-image.
model_idstringYes0-56
optionsobjectYesConfiguration options for the task. Output resolution is fixed at 1K.
options.prompt_optimizationbooleanYesIf true, all prompt words will be automatically translated into English.
options.aspect_ratiostringYesValid values: 'Auto' (Default), '1:1', '1:4', '1:8', '2:3', '3:2', '3:4', '4:1', '4:3', '4:5', '5:4', '8:1', '9:16', '16:9', '21:9'.

Example Request (Text to Image)

{ "prompt": "a futuristic city", "model_id": "0-56", "options": { "prompt_optimization": true, "aspect_ratio": "Auto" } }

Example Request (Image to Image)

{ "prompt": "make it anime style", "image_urls": ["https://cdn.pixwithapi.online/example.jpg"], "model_id": "0-56", "options": { "prompt_optimization": true, "aspect_ratio": "Auto" } }

Response Parameters

ParameterTypeDescription
codeint1=success, 0=error
messagestringSuccess and failure messages
dataobject
data.task_idstring
data.estimated_timeintEstimated time in seconds.

Response

{ "code": 1, "message": "success", "data": { "task_id": "d425ab4dc256f0ebaa84862b9cea8a3d", "estimated_time": 30 } }
Last updated on